exception Invalid_expression of string

val xml_list_of_fls_string : string -> Xml.xml list
(** [xml_list_of_fls_string flsstring]: convert string [flsstring] to list of Xml.xml *)

val convert_fls_tags : Xml.xml -> Xml.xml
(** [convert_fls_tags elem]: convert all Fls tags in XML element [elem] to pure XML *)

val preprocess_fls_string : string -> (int, string) Hashtbl.t * string
(** [preprocess_fls_string flsstring]: 
strip comments and replace strings in string [flsstring];
return Hashtable with strings and preprocessed string*)

val fls_string_of_xml : Xml.xml -> string
(** [fls_string_of_xml elem]: Convert Xml.xml element [elem] to an fls string *)

val string_of_file : string -> string
(** [string_of_file filename]: read file [filename] and return its contents as string *)

val xml_file_of_fls_file : ?encoding:string -> ?internal_dtd:string option -> string -> unit
(** [xml_file_of_fls_file ~encoding filename]: convert xml file [filename] 
to a corresponding fls file with extension fls;
[encoding]: XML encoding, optional, default: "UTF-8"
[internal_dtd]: string containing internal DTD, default: None
*)

val fls_file_of_xml_file : string -> unit
(** [fls_file_of_xml_file filename]: convert fls file [filename] to a corresponding XML file with extension xml *)

